| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC798B.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2480: 16-Bit Delta-Sigma ADC with Easy Drive Input Current Cancellation.

Linear Technology DC798B Demonstration Board. More...

## Detailed Description

Linear Technology DC798B Demonstration Board.

LTC2480: 16-Bit Delta-Sigma ADC with Easy Drive Input Current Cancellation.

    The LTC2480 is a 16-Bit Delta-Sigma ADC with Easy Drive Input Current Cancellation.
    It includes on-chip programmable gain and an oscillator. The LTC2480 can be
    configured to provide a programmable gain from 1 to 256 in 8 steps, measure an
    external signal or internal temperature sensor and reject line frequencies. 50Hz,
    60Hz or simultaneous 50Hz/60Hz line frequency rejection can be selected as well
    as a 2x speed-up mode.

    The voltage on the input pins can have any value between GND – 0.3V and VCC + 0.3V.
    Within these limits the converter bipolar input range (VIN = IN+ – IN–) extends
    from –0.5 • VREF/GAIN to 0.5 • VREF/GAIN. Outside this input range the converter
    produces unique overrange and underrange output codes.

http://www.linear.com/product/LTC2480

http://www.linear.com/product/LTC2480#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC798B.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | menu_1_read_input ()
| Read channel. More...
static void | menu_2_select_gain ()
| Select number of bits. More...
static void | menu_3_select_rejection ()
| Select frequency rejection. More...
static void | menu_4_reference_voltage ()
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static float | LTC2480_vref = 5
static float | LTC2480_range = LTC2480_vref/2
static uint8_t | LTC2480_gain_selection = LTC2480_GAIN_1
static uint8_t | LTC2480_gain = 1
static uint8_t | LTC2480_rejection_mode = 0

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 113 of file DC798B.ino.

## ◆ menu_1_read_input()

static void menu_1_read_input | ( |  | ) |
| static

Read channel.

Returns
  void

Definition at line 149 of file DC798B.ino.

## ◆ menu_2_select_gain()

static void menu_2_select_gain | ( |  | ) |
| static

Select number of bits.

Returns
  void

Definition at line 183 of file DC798B.ino.

## ◆ menu_3_select_rejection()

static void menu_3_select_rejection | ( |  | ) |
| static

Select frequency rejection.

Returns
  void

Definition at line 246 of file DC798B.ino.

## ◆ menu_4_reference_voltage()

static void menu_4_reference_voltage | ( |  | ) |
| static

Definition at line 282 of file DC798B.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 308 of file DC798B.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 293 of file DC798B.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 94 of file DC798B.ino.

## Variable Documentation

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 84 of file DC798B.ino.

## ◆ LTC2480_gain

uint8_t LTC2480_gain = 1
| static

Definition at line 90 of file DC798B.ino.

## ◆ LTC2480_gain_selection

uint8_t LTC2480_gain_selection = LTC2480_GAIN_1
| static

Definition at line 89 of file DC798B.ino.

## ◆ LTC2480_range

float LTC2480_range = LTC2480_vref/2
| static

Definition at line 88 of file DC798B.ino.

## ◆ LTC2480_rejection_mode

uint8_t LTC2480_rejection_mode = 0
| static

Definition at line 91 of file DC798B.ino.

## ◆ LTC2480_vref

float LTC2480_vref = 5
| static

Definition at line 87 of file DC798B.ino.